Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.mcu
Class ATMega128L.SimImpl.Timer8Bit

    java.lang.Object
      avrora.sim.mcu.ATMega128L.SimImpl.Timer8Bit

Direct Known Subclasses:
  ATMega128L.SimImpl.Timer0, ATMega128L.SimImpl.Timer2

Enclosing class:
  ATMega128L.SimImpl

protected class ATMega128L.SimImpl.Timer8Bit
extends java.lang.Object

Base class of 8-bit timers. Timer0 and Timer2 are subclasses of this.

Nested Class Summary
`protected class` | `ATMega128L.SimImpl.Timer8Bit.BufferedRegister` `BufferedRegister` implements a register with a write buffer.
`protected class` | `ATMega128L.SimImpl.Timer8Bit.ControlRegister`
`protected class` | `ATMega128L.SimImpl.Timer8Bit.TCNTnRegister` Overloads the write behavior of this class of register in order to implement compare match blocking for one timer period.
`protected class` | `ATMega128L.SimImpl.Timer8Bit.Ticker` The `Ticker implements the periodic behavior of the timer.`

Field Summary
`static int` | `BOTTOM`
`protected ATMega128L.Clock` | `clock`
`static int` | `MAX`
`static int` | `MODE_CTC`
`static int` | `MODE_FASTPWM`
`static int` | `MODE_NORMAL`
`static int` | `MODE_PWM`
`protected ATMega128L.SimImpl.StandardClock` | `standardClock`

Method Summary
`protected void` | `compareMatch()`
`protected void` | `overflow()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MODE_NORMAL

    public static final int MODE_NORMAL

See Also:
  Constant Field Values

### MODE_PWM

    public static final int MODE_PWM

See Also:
  Constant Field Values

### MODE_CTC

    public static final int MODE_CTC

See Also:
  Constant Field Values

### MODE_FASTPWM

    public static final int MODE_FASTPWM

See Also:
  Constant Field Values

### MAX

    public static final int MAX

See Also:
  Constant Field Values

### BOTTOM

    public static final int BOTTOM

See Also:
  Constant Field Values

### standardClock

    protected final ATMega128L.SimImpl.StandardClock standardClock

### clock

    protected ATMega128L.Clock clock

Method Detail

### compareMatch

    protected void compareMatch()

### overflow

    protected void overflow()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD